- updated to 1.19 auto/th/gdbm-1.19-1
authorJakub Bogusz <qboosh@pld-linux.org>
Fri, 8 Jan 2021 19:59:46 +0000 (20:59 +0100)
committerJakub Bogusz <qboosh@pld-linux.org>
Fri, 8 Jan 2021 19:59:46 +0000 (20:59 +0100)
- removed obsolete gcc10 patch

gdbm-gcc10.patch [deleted file]
gdbm.spec

diff --git a/gdbm-gcc10.patch b/gdbm-gcc10.patch
deleted file mode 100644 (file)
index 518482c..0000000
+++ /dev/null
@@ -1,17 +0,0 @@
-Author:Filip Januš <fjanus@redhat.com>
-Date: 7.2.2020
-Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1799391
-After upgrade gcc to version gcc version 10.0.1 20200130 (Red Hat 10.0.1-0.7) (GCC) is not possible to build GDBM
-
-diff -ur gdbm-1.18.1/src/parseopt.c gdbm-1.18.1_new/src/parseopt.c
---- gdbm-1.18.1/src/parseopt.c 2018-05-30 11:39:15.000000000 +0200
-+++ gdbm-1.18.1_new/src/parseopt.c     2020-02-07 20:36:37.226390871 +0100
-@@ -255,8 +255,6 @@
- }
\f
- char *parseopt_program_name;
--char *parseopt_program_doc;
--char *parseopt_program_args;
- const char *program_bug_address = "<" PACKAGE_BUGREPORT ">";
- void (*parseopt_help_hook) (FILE *stream);
\f
index 2784ef3c5d91a2b2e127b327c374d4e49a4ca1c8..b77a07d028cb9fe250ba0517a4641bce382dd8b6 100644 (file)
--- a/gdbm.spec
+++ b/gdbm.spec
@@ -9,16 +9,15 @@ Summary(pl.UTF-8):    Biblioteka GNU bazy danych dla języka C
 Summary(ru.UTF-8):     Библиотека базы данных GNU для C
 Summary(uk.UTF-8):     Бібліотека бази даних GNU для C
 Name:          gdbm
-Version:       1.18.1
-Release:       2
+Version:       1.19
+Release:       1
 License:       GPL v3+
 Group:         Libraries
-Source0:       http://ftp.gnu.org/gnu/gdbm/%{name}-%{version}.tar.gz
-# Source0-md5: 988dc82182121c7570e0cb8b4fcd5415
+Source0:       https://ftp.gnu.org/gnu/gdbm/%{name}-%{version}.tar.gz
+# Source0-md5: aeb29c6a90350a4c959cd1df38cd0a7e
 Patch0:                %{name}-info.patch
 Patch1:                %{name}-link-compat.patch
 Patch2:                %{name}-link.patch
-Patch3:                %{name}-gcc10.patch
 URL:           http://www.gnu.org/software/gdbm/
 BuildRequires: autoconf >= 2.69
 BuildRequires: automake >= 1:1.11
@@ -139,7 +138,6 @@ Biblioteka statyczna gdbm.
 %patch0 -p1
 %patch1 -p1
 %patch2 -p1
-%patch3 -p1
 
 %build
 %{__libtoolize}
This page took 0.056007 seconds and 4 git commands to generate.